<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Virtual Wallet</title>

    <script type="text/javascript" src="webjars/jquery/3.4.1/jquery.min.js"></script>
    <script type="text/javascript" src="webjars/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    <script type="text/javascript" th:src="@{js/main.js}" src="../static/js/main.js"></script>
    <!--    <link rel="stylesheet" href="webjars/bootstrap/4.4.1/css/bootstrap.min.css">-->
<!--    <link rel="stylesheet" type="text/css" th:href="@{/css/bootstrap.min.css}" href="../static/css/bootstrap.min.css">-->
    <link rel="stylesheet" type="text/css" th:href="@{/css/adminStyle.css}" href="../static/css/adminStyle.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/all.min.css}" href="../static/css/all.min.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/style.css}" href="../static/css/style.css">
</head>

<body>
<!-- Header start  -->
<header class="header">
    <div class="container d-flex align-items-center">
        <a class="logo" href="/">
            <img src="images/VP.png" alt="">
        </a>
        <nav class="primary-menu text-md-right">
            <a id="mobile-menu-toggler" href="#"><i class="fas fa-bars"></i></a>
            <ul>
                <li><a href="/">Home</a></li>
                <li><a href="/send-money-process">Send Money</a></li>
                <li><a href="/about">About</a></li>
                <li><a href="/contact">Contact</a></li>
                <li class="has-menu-child pro-menu-drop" sec:authorize="isAuthenticated()">
                    <a href="#">
                        <div class="header-pro-thumb">
                            <img class="rounded-circle" th:unless="${user.picture==null}"
                                 th:src="@{'data:image/jpeg;base64,' + ${user.picture}}" alt="">
                            <img class="rounded-circle" th:if="${user.picture==null}"
                                 src="images/profile-img.jpeg" alt="">
                        </div>
                        <div th:text="${user.username}"></div>
                        <i class="fas fa-chevron-down"></i>
                    </a>
                    <ul class="dropdown-menu-md sub-menu profile-drop">

                        <li class="nav__create-new-profile-link">
                            <a href="/profile">
                                <span>View personal profile</span>
                            </a>
                        </li>
                        <li class="divider"></li>
                        <li class="nav__dropdown-menu-items">
                            <a href="/logout"><i class="icon icon-logout"></i><span>Logout</span></a></li>
                    </ul>
                </li>
            </ul>
        </nav>
    </div>
</header>
<!-- Header end -->

<!-- Admin Hero section-->
<div class="hero-section">
</div>
<!-- Admin End of Hero section-->

<!-- Admin Content Section  -->
<div id="content" class="py-4">
    <div class="container">
        <div class="row">

            <!-- Left sidebar -->
            <aside class="col-lg-3 sidebar">
                <div class="widget admin-widget p-0">
                    <div class="Profile-menu">
                        <ul class="nav secondary-nav">
                            <li class="nav-item active"><a class="nav-link " href="/dashboard"><i
                                    class="fas fa-tachometer-alt"></i> Dashboard</a></li>
                            <li class="nav-item"><a class="nav-link" href="/profile"><i class="fab fa-autoprefixer"></i>
                                My Profile</a></li>
                            <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link" href="/users"><i
                                    class="fab fa-autoprefixer"></i> All users</a></li>
                            <li class="nav-item"><a class="nav-link" href="/wallets-and-cards"><i
                                    class="fas fa-university"></i> Wallets & Cards</a></li>
                            <li class="nav-item"><a class="nav-link" href="/deposit-money"><i class="fas fa-plus"></i>
                                Deposit Money to wallet</a></li>
                            <li class="nav-item"><a class="nav-link" href="/send-money-process"><i
                                    class="far fa-paper-plane"></i> Send Money to friend</a></li>
                            <li class="nav-item"><a class="nav-link" href="/transactions"><i class="fas fa-list-ul"></i>
                                My Transactions</a></li>
                            <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link"
                                                                                     href="/all-transactions"><i
                                    class="fas fa-list-ul"></i> All Transactions</a></li>
                        </ul>
                    </div>
                </div>

            </aside>
            <!-- Left Panel End -->

            <!-- Middle Panel  -->
            <div class="col-lg-9">
                <div class="profile-content">
                    <h3 class="admin-heading bg-offwhite" style="color: #595959">List of users</h3>

                    <!-- search bar start -->
                    <div style="text-align: center">
                        <form th:action="@{/users}">
                                <div class="form-group">
                                    <label for="recipientUsername" style="color: #595959; letter-spacing: 0.7px"><b>Search By Username</b></label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" data-card-form="editCardNumber"
                                               id="recipientUsername" name="username"
                                               placeholder="username" style="text-align: center"
                                               pattern="[^()/><\][\\\x22,;|]+"
                                               title="no special symbols permitted">
                                    </div>
                                </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label style="color: #595959; letter-spacing: 0.7px; font-weight: bolder">Search By Email</label>
                                        <input type="text" class="form-control" name="email"
                                               placeholder="email" style="text-align: center">
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label style="color: #595959; letter-spacing: 0.7px; font-weight: bolder">Search By Phone</label>
                                        <input type="text" class="form-control" name="phone"
                                               placeholder="phone" style="text-align: center">
                                    </div>
                                </div>
                            </div>

                            <button type="submit" class="btn btn-default mr-0">
                                <span class="bh"></span>
                                <i class="fa fa-search"></i>
                            </button>
                        </form>
                    </div>
                    <br>
                    <!-- search bar end -->

                    <!-- Admin Heading Title  -->
                    <div class="transaction-title bg-offwhite">
                        <div class="items">
                            <div class="row">
                                <div class="col text-center" style="color: #595959; letter-spacing: 0.7px">Username</div>
                                <div class="col text-center" style="color: #595959; letter-spacing: 0.7px">Email</div>
                                <div class="col text-center" style="color: #595959; letter-spacing: 0.7px">Phone</div>
                                <div class="col text-center" style="color: #595959; letter-spacing: 0.7px">Status</div>
                                <div class="col text-center" style="color: #595959; letter-spacing: 0.7px">Edit</div>
                                <div class="col text-center" style="color: #595959; letter-spacing: 0.7px">Delete</div>
                            </div>
                        </div>
                    </div>
                    <!-- Admin Heading Title End -->

                    <!-- Transaction List -->
                    <div class="transaction-area">

                        <div class="items" th:each="user :${data}">
                            <div class="row">
                                <div class="col text-center">
                                    <span th:text="${user.username}"></span>
                                </div>
                                <div class="col text-center">
                                    <span th:text="${user.email}"></span>
                                </div>
                                <div class="col text-center">
                                    <span th:text="${user.phone}"></span>
                                </div>
                                <div class="col text-center">
                                    <span th:text="Active" th:unless="${user.blocked==true}"></span>
                                    <span th:text="Blocked" th:if="${user.blocked==true}"></span>
                                </div>
                                <div class="col text-center" style="width: 70px">
                                    <span><a th:href="@{findOne/(id=${user.id})}" class="btn btn-primary eBtn">Edit</a></span>
                                </div>
                                <div class="col text-center" style="width: 70px">
                                    <span><a th:href="@{delete/(id=${user.id})}" class="btn btn-danger delBtn">Delete</a></span>
                                </div>
                            </div>
                        </div>

                    </div>
                    <!-- Transaction List End -->

                    <!-- Pagination List Start -->
                    <ul class="nav nav-pills" th:unless="${data.isEmpty()}">
                        <li class="nav-item"
                            th:each="pageNumber : ${#numbers.sequence(1, data.totalPages)}">
                            <a th:href="@{/users(page=${pageNumber}, username=${username}, phone=${phone}, email=${email}, sortBy=${sortBy})}"
                               th:text="${pageNumber}" class="nav-link"
                               th:classappend="${currentPage}==${pageNumber}?'active':''"></a>
                        </li>
                    </ul>
                    <!-- Pagination List End -->

                    <!-- Transaction Details Modal  -->
                    <div class="myForm">
                        <form th:action="@{/save}" method="post">
                            <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
                                 aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="exampleModalLabel">You can update following fields:</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <div class="form-group">
                                                <label for="id" class="col-form-label">ID:</label>
                                                <input type="text" class="form-control" id="id" name="id" value=""
                                                       style="cursor: not-allowed" readonly/>
                                            </div>
                                            <div class="form-group">
                                                <label for="username" class="col-form-label">Username:</label>
                                                <input type="text" class="form-control" id="username" name="username" value=""
                                                       readonly style="cursor: not-allowed"/>
                                            </div>
                                            <div class="form-group">
                                                <label for="email" class="col-form-label">Email:</label>
                                                <input type="text" class="form-control" id="email" name="email" value=""/>
                                            </div>
                                            <div class="form-group">
                                                <label for="phone" class="col-form-label">Phone:</label>
                                                <input type="text" class="form-control" id="phone" name="phone" value=""/>
                                            </div>
                                            <div class="form-group">
                                                <label for="blocked" class="col-form-label">isBlocked:</label>
                                                <input type="text" class="form-control" id="blocked" name="blocked" value=""/>
                                            </div>

                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                            <input type="submit" class="btn btn-primary" value="save"/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>

                    <!-- Modal -->
                    <div class="modal fade" id="staticBackdrop" data-backdrop="static" tabindex="-1" role="dialog"
                         aria-labelledby="staticBackdropLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="staticBackdropLabel">Delete confirmation</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <p class="alert alert-danger">
                                        Are you sure you want to delete it?
                                    </p>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                    <a href="" class="btn btn-danger" id="delRef">Delete</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Transaction Modal End -->

                </div>
                <!-- Recent Activity End -->
            </div>
            <!-- Middle Panel End -->
        </div>
    </div>
</div>
<!-- Content end -->

<!-- Footer start -->
<footer class="footer">
    <div class="foo-btm">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <div class="foo-navigation">
                        <ul>
                            <li><a href="#">Terms and Conditions</a></li>
                            <li><a href="#">Privacy & Policy</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="copyright">Copyright &copy; <a></a>2020</div>
                </div>
            </div>
        </div>
    </div>
</footer>
<!-- Footer end -->

<script src="js/main.js"></script>
<script src="js/jquery.min.js"></script>
<script src="js/bootstrap.bundle.min.js"></script>
<script src="js/moment.min.js"></script>
<script src="js/daterangepicker.js"></script>
<script src="js/bootstrap-select.min.js"></script>

<script src="js/custom.js"></script>
<script src="js/scripts.js"></script>

<script src="js/jquery-3.3.1.min.js"></script>
<script src="js/jquery-ui.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/owl.carousel.min.js"></script>
<script src="js/owl.carousel2.thumbs.min.js"></script>
<script src="js/jquery.countdown.min.js"></script>
<script src="js/jquery.fancybox.min.js"></script>
<script src="js/jquery.nice-select.min.js"></script>
<script src="../../cdnjs.cloudflare.com/ajax/libs/gsap/2.1.3/TweenMax.min.js"></script>
<script src="../../s3-us-west-2.amazonaws.com/s.cdpn.io/106949/jquery.onscreen.js"></script>

</body>
</html>